| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::core::FloatIntUnion32 Union Reference

`#include <irrMath.h>`

List of all members.

## Public Member Functions

- FloatIntUnion32 (float f1=0.0f)
- bool sign () const

## Public Attributes

- irr::f32 f
- irr::s32 i

## Detailed Description

Definition at line 196 of file irrMath.h.

## Constructor & Destructor Documentation

irr::core::FloatIntUnion32::FloatIntUnion32 | ( | float | f1 = `0.0f` | ) | `[inline]`

Definition at line 198 of file irrMath.h.

## Member Function Documentation

bool irr::core::FloatIntUnion32::sign | ( |  | ) | const`[inline]`

Definition at line 200 of file irrMath.h.

References i.

Referenced by irr::core::equalsByUlp().

## Member Data Documentation

irr::f32 irr::core::FloatIntUnion32::f

Definition at line 203 of file irrMath.h.

irr::s32 irr::core::FloatIntUnion32::i

Definition at line 202 of file irrMath.h.

Referenced by irr::core::equalsByUlp(), and sign().

The documentation for this union was generated from the following file:

- irrMath.h